<?php

namespace app\common\model;

use support\think\Model;

class UserMoneyLog extends Model
{
    protected string $table = 'user_money_log';
    protected string $pk = 'id';
    protected bool $autoWriteTimestamp = true;
    protected bool $updateTime = false;

    public function getMoneyAttr($value): string
    {
        return bcdiv((string) $value, '100', 2);
    }

    public function setMoneyAttr($value): string
    {
        return bcmul((string) $value, '100', 2);
    }

    public function getBeforeAttr($value): string
    {
        return bcdiv((string) $value, '100', 2);
    }

    public function setBeforeAttr($value): string
    {
        return bcmul((string) $value, '100', 2);
    }

    public function getAfterAttr($value): string
    {
        return bcdiv((string) $value, '100', 2);
    }

    public function setAfterAttr($value): string
    {
        return bcmul((string) $value, '100', 2);
    }
}
